MyConstruct_point_2< K, OldK >

## Public Types

typedef Point_2 | result_type

## Public Member Functions

Rep | operator() (CGAL::Return_base_tag, CGAL::Origin o) const
Rep | operator() (CGAL::Return_base_tag, const RT &x, const RT &y) const
Point_2 | operator() (const CGAL::Origin &o) const
Point_2 | operator() (const RT &x, const RT &y) const
const Point_2 & | operator() (const Point_2 &p) const
Point_2 | operator() (const Line_2 &l) const
Point_2 | operator() (const Line_2 &l, int i) const
Point_2 | operator() (const RT &x, const RT &y, const RT &w) const

## Detailed Description

### template<typename K, typename OldK>
class rheolef::custom_cgal::MyConstruct_point_2< K, OldK >

Definition at line 311 of file cgal_kernel.h.

## Member Typedef Documentation

## result_type

typedef Point_2 result_type

Definition at line 318 of file cgal_kernel.h.

## Member Function Documentation

## operator()() [1/8]

Rep operator() | ( | CGAL::Return_base_tag | ,
|  | CGAL::Origin | o
| ) |  | const

Definition at line 324 of file cgal_kernel.h.

## operator()() [2/8]

Rep operator() | ( | CGAL::Return_base_tag | ,
|  | const RT & | x,
|  | const RT & | y
| ) |  | const

Definition at line 328 of file cgal_kernel.h.

## operator()() [3/8]

Point_2 operator() | ( | const CGAL::Origin & | o | ) | const

Definition at line 338 of file cgal_kernel.h.

## operator()() [4/8]

Point_2 operator() | ( | const RT & | x,
|  | const RT & | y
| ) |  | const

Definition at line 342 of file cgal_kernel.h.

## operator()() [5/8]

const Point_2& operator() | ( | const Point_2 & | p | ) | const

Definition at line 348 of file cgal_kernel.h.

## operator()() [6/8]

Point_2 operator() | ( | const Line_2 & | l | ) | const

Definition at line 354 of file cgal_kernel.h.

## operator()() [7/8]

Point_2 operator() | ( | const Line_2 & | l,
|  | int | i
| ) |  | const

Definition at line 362 of file cgal_kernel.h.

## operator()() [8/8]

Point_2 operator() | ( | const RT & | x,
|  | const RT & | y,
|  | const RT & | w
| ) |  | const

Definition at line 370 of file cgal_kernel.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/fem/geo_element/cgal_kernel.h